#!/bin/bash

echo "****************************************************************************************"
echo "Ce programme, modifiable a souhait, vous permet de compiler, archiver et mettre en ligne"
echo "vos feuilles de TDs, et ceci de maniere automatique."
echo "Vous pouvez facilement le modifier dans un editeur de texte."
echo "****************************************************************************************"
# echo "Appuyez sur une touche pour continuer"
# read touche

# Nom du module
# Nom du serveur et du repertoire pour la mise en ligne

MODULE="MM002-algebre-et-theorie-de-Galois"
SERVEUR="ssh.math.jussieu.fr"
REPERTOIRE="xml-webcv/documents/enseignement"

echo "***********************************"
echo "Transformation des feuilles en pdf:"
echo "***********************************"

pdflatex $MODULE-TD1.tex
pdflatex $MODULE-TD2.tex
pdflatex $MODULE-TD3.tex
pdflatex $MODULE-TD4.tex
pdflatex $MODULE-TD5.tex
pdflatex $MODULE-TD6.tex
pdflatex $MODULE-TD7.tex
pdflatex $MODULE-TD8.tex

# Copie des fichiers pdf dans un sous-repertoire

mkdir $MODULE-TD-pdf
cp -v $MODULE-TD*.pdf free-documentation-licence.txt copyright.txt $MODULE-TD-pdf

echo "****************************************************************"
echo "Creation d'un polycopie pdf contenant toutes les feuilles de TD:"
echo "****************************************************************"

# Cette commande necessite le logiciel Ghostscript

rm $MODULE-TD-polycopie.pdf
gs -q -sPAPERSIZE=letter -dNOPAUSE -dBATCH -sDEVICE=pdfwrite -sOutputFile=$MODULE-TD-polycopie.pdf $MODULE-TD-pdf/$MODULE-TD1.pdf $MODULE-TD-pdf/$MODULE-TD2.pdf $MODULE-TD-pdf/$MODULE-TD3.pdf $MODULE-TD-pdf/$MODULE-TD4.pdf  $MODULE-TD-pdf/$MODULE-TD5.pdf $MODULE-TD-pdf/$MODULE-TD6.pdf $MODULE-TD-pdf/$MODULE-TD7.pdf $MODULE-TD-pdf/$MODULE-TD8.pdf

# On inclut le polycopie d'exercices dans l'archive contenant les pdf

cp -v $MODULE-TD-polycopie.pdf $MODULE-TD-pdf

# Copie des fichiers tex dans un sous-repertoire

mkdir $MODULE-TD-sources-tex
cp -v $MODULE-TD*.tex $MODULE-CC*.tex exercices.cls compile-toutes-les-feuilles.bash free-documentation-licence.txt copyright.txt $MODULE-TD-sources-tex

echo "***********************************************"
echo "Sauvegarde des feuilles dans deux archives zip:"
echo "l'une pour les sources et l'autre pour les pdf."
echo "**********************************************"

zip -rv $MODULE-TD-pdf $MODULE-TD-pdf
zip -rv $MODULE-TD-sources-tex $MODULE-TD-sources-tex

# Effacement des sous-repertoires
rm -Rf $MODULE-TD-pdf $MODULE-TD-sources-tex
# rm $MODULE*.aux $MODULE*.log

echo "****************************"
echo "Mise en ligne des documents:"
echo "****************************"
scp $MODULE-TD-pdf.zip $SERVEUR:$REPERTOIRE
